Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418003 - Statically assigned ipv6 addresses silently removed from interfaces after 24h
Summary: Statically assigned ipv6 addresses silently removed from interfaces after 24h
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 25
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:02 UTC by Gavin Davenport
Modified: 2017-08-22 19:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 19:08:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Gavin Davenport 2017-01-31 15:02:13 UTC
Description of problem:
Fedora 25 host silently removes statically assigned ipv6 addresses from LAN interfaces after they have been up/initialised for 24 hours.

Not sure of component doing this (its not being logged, they are just disappearing), assuming systemd.


Version-Release number of selected component (if applicable):
systemd-231-12.fc25.i686


How reproducible:
Predictably, after 24 hours.

Steps to Reproduce:
1. Configure ip4 and ipv6 addresses in /etc/systemd/network/10-enp0s18.network as follows:
[Match]
Name=<interface name>
MACAddress=<my interface MAC>

[Network]
Address=<ipv4 address/prefixlen)
Address=<global ipv6 address/prefixlen>
Address=<link-local ipv6 address/prefixlen>
DNS=<my dns 1>
DNS=<my dns 2>
Domains=<my domain search list>

2. Enable systemd-networkd.service, systemd-resolved.service

3. On boot, all three (ipv4, global v6, link-local v6) addresses are assigned to the interface. Allow 24 hours to pass, the global v6 address is REMOVED from the interface with nothing to log what did it or why.

4. Interface flags:
 3: enp0s18    inet <my v4>/24 brd 10.99.99.255 scope global enp0s18\       valid_lft forever preferred_lft forever
 3: enp0s18    inet6 2001:<my global v6>/64 scope global \       valid_lft forever preferred_lft forever
 3: enp0s18    inet6 fe80::<my link-local v6>/64 scope link \       valid_lft forever preferred_lft forever

These interfaces are statically assigned; this machine is a router and is running radvd. 

Actual results:
1. global v6 address silently removed after 24hours of uptime. Can be revived with  ifdown/ifup.

Expected results:
1. These interfaces should not unassign. They are not temporary/privacy addresses.

Additional info:
1. NetworkManger has been removed from this system (so it's not that).
2. sysctl for lifetimes:
- net.ipv6.conf.enp0s18.temp_prefered_lft = 86400
- net.ipv6.conf.enp0s18.temp_valid_lft = 604800

*These are NOT temporary addresses*

Comment 1 Gavin Davenport 2017-02-01 17:32:49 UTC
Bump. Happened again today. No work around ?

Comment 2 Gavin Davenport 2017-02-01 17:42:18 UTC
Looks related, but NetworkManager isn't installed:
https://bugzilla.redhat.com/show_bug.cgi?id=1047139

Comment 3 Gavin Davenport 2017-08-17 18:16:12 UTC
Anyone interested in this ?

Host silently removing it's own ipv6 addresses, causing general confusion and connection timeouts ?

Nobody ?

Comment 4 Gavin Davenport 2017-08-20 13:11:46 UTC
I have upgraded the host to fedora 26, will see if that improves things

Comment 5 Gavin Davenport 2017-08-22 19:08:04 UTC
So far as I can tell, this issue is not (yet) occurring on Fedora 26.


Note You need to log in before you can comment on or make changes to this bug.